<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_202) on Sat Apr 27 15:39:28 CEST 2019 -->
<title>V11ParameterConverter (Jaybird API)</title>
<meta name="date" content="2019-04-27">
<link rel="stylesheet" type="text/css" href="../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="V11ParameterConverter (Jaybird API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Statement.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html" target="_top">Frames</a></li>
<li><a href="V11ParameterConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">org.firebirdsql.gds.ng.wire.version11</div>
<h2 title="Class V11ParameterConverter" class="title">Class V11ParameterConverter</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">java.lang.Object</a></li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng">org.firebirdsql.gds.ng.AbstractParameterConverter</a>&lt;<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version10">org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter</a></li>
<li>
<ul class="inheritance">
<li>org.firebirdsql.gds.ng.wire.version11.V11ParameterConverter</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng">ParameterConverter</a>&lt;<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;</dd>
</dl>
<dl>
<dt>Direct Known Subclasses:</dt>
<dd><a href="../../../../../../org/firebirdsql/gds/ng/wire/version12/V12ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version12">V12ParameterConverter</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">V11ParameterConverter</span>
extends <a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10ParameterConverter</a></pre>
<div class="block">Implementation of <a href="../../../../../../org/firebirdsql/gds/ng/ParameterConverter.html" title="interface in org.firebirdsql.gds.ng"><code>ParameterConverter</code></a> for the version 11 protocol.
 <p>
 Adds support for including the process name and process id from the system properties
 <code>org.firebirdsql.jdbc.processName</code> and <code>org.firebirdsql.jdbc.pid</code>
 </p></div>
<dl>
<dt><span class="simpleTagLabel">Since:</span></dt>
<dd>3.0</dd>
<dt><span class="simpleTagLabel">Author:</span></dt>
<dd><a href="mailto:mrotteveel@users.sourceforge.net">Mark Rotteveel</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html#V11ParameterConverter--">V11ParameterConverter</a></span>()</code>&nbsp;</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html#addProcessId-org.firebirdsql.gds.DatabaseParameterBuffer-">addProcessId</a></span>(<a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block">Adds the processId (pid) to the dpb, if available.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html#addProcessName-org.firebirdsql.gds.DatabaseParameterBuffer-">addProcessName</a></span>(<a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block">Adds the processName to the dpb, if available.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>protected void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html#populateDefaultProperties-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-org.firebirdsql.gds.DatabaseParameterBuffer-">populateDefaultProperties</a></span>(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection,
                         <a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</code>
<div class="block">Populates the database parameter buffer with the standard Firebird properties explicitly supported through
 <code>IConnectionProperties</code>.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.wire.version10.V10ParameterConverter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.wire.version10.<a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html" title="class in org.firebirdsql.gds.ng.wire.version10">V10ParameterConverter</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/wire/version10/V10ParameterConverter.html#populateAuthenticationProperties-org.firebirdsql.gds.ng.AbstractConnection-org.firebirdsql.gds.ConnectionParameterBuffer-">populateAuthenticationProperties</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.org.firebirdsql.gds.ng.AbstractParameterConverter">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;org.firebirdsql.gds.ng.<a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng">AbstractParameterConverter</a></h3>
<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#createDatabaseParameterBuffer-D-">createDatabaseParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#createServiceParameterBuffer-S-">createServiceParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateDefaultProperties-S-org.firebirdsql.gds.ServiceParameterBuffer-">populateDefaultProperties</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateNonStandardProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">populateNonStandardProperties</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#toDatabaseParameterBuffer-D-">toDatabaseParameterBuffer</a>, <a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#toServiceParameterBuffer-S-">toServiceParameterBuffer</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.<a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang">Object</a></h3>
<code><a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#clone--" title="class or interface in java.lang">clone</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#equals-java.lang.Object-" title="class or interface in java.lang">equals</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#finalize--" title="class or interface in java.lang">finalize</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#getClass--" title="class or interface in java.lang">getClass</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#hashCode--" title="class or interface in java.lang">hashCode</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notify--" title="class or interface in java.lang">notify</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#notifyAll--" title="class or interface in java.lang">notifyAll</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#toString--" title="class or interface in java.lang">toString</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait--" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-" title="class or interface in java.lang">wait</a>, <a href="https://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true#wait-long-int-" title="class or interface in java.lang">wait</a></code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="V11ParameterConverter--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>V11ParameterConverter</h4>
<pre>public&nbsp;V11ParameterConverter()</pre>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="populateDefaultProperties-org.firebirdsql.gds.ng.wire.WireDatabaseConnection-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>populateDefaultProperties</h4>
<pre>protected&nbsp;void&nbsp;populateDefaultProperties(<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>&nbsp;connection,
                                         <a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)
                                  throws <a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from class:&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateDefaultProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">AbstractParameterConverter</a></code></span></div>
<div class="block">Populates the database parameter buffer with the standard Firebird properties explicitly supported through
 <code>IConnectionProperties</code>.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html#populateDefaultProperties-D-org.firebirdsql.gds.DatabaseParameterBuffer-">populateDefaultProperties</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../../org/firebirdsql/gds/ng/AbstractParameterConverter.html" title="class in org.firebirdsql.gds.ng">AbstractParameterConverter</a>&lt;<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireDatabaseConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireDatabaseConnection</a>,<a href="../../../../../../org/firebirdsql/gds/ng/wire/WireServiceConnection.html" title="class in org.firebirdsql.gds.ng.wire">WireServiceConnection</a>&gt;</code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>connection</code> - Database connection</dd>
<dd><code>dpb</code> - Database parameter buffer to populate</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="https://docs.oracle.com/javase/8/docs/api/java/sql/SQLException.html?is-external=true" title="class or interface in java.sql">SQLException</a></code> - For errors generating authentication information</dd>
</dl>
</li>
</ul>
<a name="addProcessName-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>addProcessName</h4>
<pre>protected final&nbsp;void&nbsp;addProcessName(<a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</pre>
<div class="block">Adds the processName to the dpb, if available.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dpb</code> - Database parameter buffer</dd>
</dl>
</li>
</ul>
<a name="addProcessId-org.firebirdsql.gds.DatabaseParameterBuffer-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>addProcessId</h4>
<pre>protected final&nbsp;void&nbsp;addProcessId(<a href="../../../../../../org/firebirdsql/gds/DatabaseParameterBuffer.html" title="interface in org.firebirdsql.gds">DatabaseParameterBuffer</a>&nbsp;dpb)</pre>
<div class="block">Adds the processId (pid) to the dpb, if available.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>dpb</code> - Database Database parameter buffer</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Database.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li><a href="../../../../../../org/firebirdsql/gds/ng/wire/version11/V11Statement.html" title="class in org.firebirdsql.gds.ng.wire.version11"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../index.html?org/firebirdsql/gds/ng/wire/version11/V11ParameterConverter.html" target="_top">Frames</a></li>
<li><a href="V11ParameterConverter.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &copy; 2001-2019 Jaybird (Firebird JDBC/JCA) team. All rights reserved.</small></p>
</body>
</html>
